import { OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { DisplayStateService } from '../../../services/DisplayStateService';
export declare class MainDisplayComponent implements OnInit, OnDestroy {
    DisplayStateService: DisplayStateService;
    statechanged$: Subscription;
    showWaitingUser: boolean;
    sideNavState: string;
    constructor(DisplayStateService: DisplayStateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
